summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Zbigniew Baniewski2011-01-09 17:32:47 +0100
committer Robby Workman2011-01-10 22:04:25 +0100
commit1f8e0e194c67a1b46a44a0cf7e592ba8b16ca058 (patch)
tree164ee4286a1ee6345b66c4e67ff146e149e29fae
parentcf101606b2bc861fe79ef1c2a67e5224246770f2 (diff)
downloadslackbuilds-1f8e0e194c67a1b46a44a0cf7e592ba8b16ca058.tar.gz
libraries/mowitz: Added ('More Widgets' library)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--libraries/mowitz/README5
-rw-r--r--libraries/mowitz/mowitz.SlackBuild79
-rw-r--r--libraries/mowitz/mowitz.info10
-rw-r--r--libraries/mowitz/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/libraries/mowitz/README b/libraries/mowitz/README
new file mode 100644
index 0000000000..c66d90346a
--- /dev/null
+++ b/libraries/mowitz/README
@@ -0,0 +1,5 @@
+The project's goal is to create a library of widgets for X applications to
+use. The widgets have been snarfed from various sources and are all open
+source (GPL or MIT licenses).
+
+This requires nextaw.
diff --git a/libraries/mowitz/mowitz.SlackBuild b/libraries/mowitz/mowitz.SlackBuild
new file mode 100644
index 0000000000..f9fa9310f7
--- /dev/null
+++ b/libraries/mowitz/mowitz.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for mowitz
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=mowitz
+VERSION=0.3.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/Mowitz-${VERSION}.tar.gz
+cd Mowitz-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README ChangeLog doc examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/mowitz/mowitz.info b/libraries/mowitz/mowitz.info
new file mode 100644
index 0000000000..beac115545
--- /dev/null
+++ b/libraries/mowitz/mowitz.info
@@ -0,0 +1,10 @@
+PRGNAM="mowitz"
+VERSION="0.3.1"
+HOMEPAGE="http://siag.nu/"
+DOWNLOAD="http://siag.nu/pub/mowitz/Mowitz-0.3.1.tar.gz"
+MD5SUM="35cfd18b05d45e0ba6b48896bd258138"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"
diff --git a/libraries/mowitz/slack-desc b/libraries/mowitz/slack-desc
new file mode 100644
index 0000000000..cea63efdbd
--- /dev/null
+++ b/libraries/mowitz/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mowitz: mowitz ('More Widgets' library)
+mowitz:
+mowitz: The project's goal is to create a library of widgets for X
+mowitz: applications to use. The widgets have been snarfed from various
+mowitz: sources and are all open source (GPL or MIT licenses).
+mowitz:
+mowitz: http://siag.nu/
+mowitz:
+mowitz:
+mowitz:
+mowitz: